* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  transition: 0.2s linear;
}
html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}
body {
  background-color: rgb(126, 127, 151);
  color: aliceblue;
  font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
}
a {
  color: aliceblue;
  text-decoration: none;
}
section {
  padding: 2rem 7%;
}

/*nav bar*/
.main-head {
  background-color: rgb(0, 2, 37);
  color: white;
}
nav {
  min-height: 10vh;
  display: flex;
  width: 90%;
  margin: auto;
  padding: 1rem;
  align-items: center;
}
nav ul {
  display: flex;
  flex: 1 1 40rem;
  justify-content: space-around;
  list-style: none;
  font-size: 1.5rem;
}

nav ul li:hover {
  transform: scale(1.2);
  color: rgb(77, 77, 116);
}
nav ul li a:hover {
  color: rgb(75, 128, 243);
}
#logo {
  flex: 1 1 40rem;
  font-size: 1.8rem;
  font-weight: 500;
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
}

/*burger*/
.burger {
  display: none;
}

/*home section*/
.home {
  min-height: 90vh;
  background: linear-gradient(rgb(0, 2, 37, 0.4), transparent),
    url(/image/luis-vidal-FodEsaNZs48-unsplash.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  color: aliceblue;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.home h1 {
  font-size: 7.4rem;
  font-weight: 400;
  letter-spacing: 10px;
}
.home h3 {
  font-size: 3rem;
  font-weight: 400;
  font-style: oblique;
  padding: 4rem 0rem;
  color: rgb(220, 236, 250);
  letter-spacing: 2rem;
}
.home button a {
  color: rgb(255, 255, 255);
  font-size: 2rem;
}

.home button {
  background-color: rgb(1, 1, 43, 0.7);
  outline: none;
  border: none;
  border-radius: 5px;
  padding: 1rem 2rem;
  transition: all 0.1s ease-in-out;
}
.home button:hover {
  background-color: rgba(1, 1, 92, 0.7);
  letter-spacing: 1px;
}
.or {
  font-size: 3rem;
}

/*About section*/
.about .row {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  padding-top: 5rem;
}
.about .row .image {
  width: 100%;
  flex: 1 1 45rem;
  object-fit: cover;
}
.about .row .image img {
  width: 100%;
  height: 700px;
  object-fit: cover;
}
.about .row .content {
  flex: 1 1 45rem;
  padding: 2rem;
}
.about .row .content h1 {
  color: black;
  padding-bottom: 2rem;
  font-size: 5rem;
  font-weight: 500;
  font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
    "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
}
.about .row .content p {
  padding: 1rem 0rem;
  font-size: 1.5rem;
  font-weight: 100;
  line-height: 3rem;
}
.about .row .content button {
  background-color: rgb(1, 1, 43, 0.7);
  outline: none;
  border: none;
  border-radius: 5px;
  padding: 1rem 2rem;
  transition: all 0.1s ease-in-out;
}
.about .row .content button:hover {
  background-color: rgba(1, 1, 92, 0.7);
  letter-spacing: 1px;
}

/*Service section*/
.service h1 {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 4rem;
  padding: 4rem;
}
.service .box-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  gap: 1.3rem;
  padding-bottom: 3rem;
}
.service .box-container .box {
  background: rgb(1, 1, 37);
}
.service .box-container .box .image {
  height: 25rem;
  overflow: hidden;
  width: 100%;
}
.service .box-container .box .image img {
  height: 100%;
  object-fit: cover;
  width: 100%;
}
.service .box-container .box:hover .image img {
  transform: scale(1.2);
}

.service .box-container .box .content {
  padding: 1.5rem;
}
.service .box-container .box .content h2 {
  font-size: 3rem;
  padding: 3rem 0rem 2rem 3rem;
}
.service .box-container .box .content p {
  padding: 0rem 1rem 2rem 3rem;
  font-size: 1.5rem;
  font-weight: 100;
  color: rgb(0, 226, 226);
}
/*Membership fees section*/
.membership {
  min-height: 100vh;
  background-image: linear-gradient(rgb(0, 2, 37, 0.5), transparent),
    url(/image/pexels-lukas-669576.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.membership h1 {
  font-size: 4rem;
  padding: 1rem 0 5rem 0;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 90%;
  border: 4px solid rgb(21, 0, 71);
}
.black {
  font-size: 3rem;
  color: rgb(243, 243, 243);
}
th,
td {
  text-align: left;
  padding: 16px;
  font-size: 2rem;
}
.fa-check {
  color: rgb(4, 142, 255);
}
.fa-times {
  color: rgb(180, 13, 13);
}
tr:nth-child(even) {
  background-color: #01062e;
}
@media (max-width: 991px) {
  html {
    font-size: 55%;
  }
  .header {
    padding: 1.5rem 2rem;
  }
  section {
    padding: 2rem;
  }
}
/*Contact sectiion*/
.contact {
  min-height: 100vh;
  background-image: linear-gradient(rgb(0, 2, 37, 0.5), transparent),
    url(/image/anastase-maragos-9dzWZQWZMdE-unsplash.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  justify-content: center;
  align-items: center;
}
.contact h1 {
  font-size: 4rem;
  padding: 1rem 0 5rem 0;
}

form {
  background-color: #01062e8f;
  padding: 5rem;
}
input[type="text"],
select,
textarea {
  width: 100%;
  padding: 12px;
  border: none;
  outline: none;
  border-radius: 10px;
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
}

input[type="submit"] {
  background-color: #04aa6d;
  color: white;
  padding: 12px 20px;
  border: none;
  cursor: pointer;
}

input[type="submit"]:hover {
  background-color: #45a049;
}
/*footer section*/
.footer {
  text-align: center;
}
.footer .links {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  padding: 2rem 0;
  gap: 5rem;
}
.footer .links a {
  padding: 0.7rem 2rem;
  color: #fff;
  border: 1px solid #ffffff;
  font-size: 2rem;
}
.footer .links a:hover {
  background-color: #0c1eaa;
}
.footer .credit {
  font-size: 1.5rem;
  color: #fff;
  font-weight: lighter;
  padding: 1.5rem;
}
.footer .credit span {
  color: aqua;
}
/*Tablet*/
@media (max-width: 777px) {
  #logo {
    flex: 1 1 30rem;
  }
  nav ul {
    flex: 5 1 60rem;
  }
  .home h1 {
    font-size: 5.2rem;
  }
  .home h3 {
    font-size: 2.2rem;
    padding: 3rem 0rem;
  }
  .or {
    font-size: 2.5rems;
  }
  .home button a {
    font-size: 1.5rem;
  }
  .home button {
    padding: 0.7rem 1rem;
  }
}

/*Mobile*/
@media (max-width: 581px) {
  .burger {
    position: relative;
    display: block;
    cursor: pointer;
  }
  .burger span {
    padding: 0.1rem 1.3rem;
    background: aliceblue;
    margin: 0.6rem 0rem;
    display: block;
    transition: all 0.5s ease;
  }
  .nav-links {
    background: rgb(1, 1, 37);
    width: 100%;
    height: 100%;
    top: 0;
    left: 100%;
    position: fixed;
    flex-direction: column;
    align-items: center;
    transition: transform 1s ease;
  }
  .nav-open {
    transform: translate(-100%);
  }
  .toggle .line1 {
    transform: rotatez(405deg) translatey(500%);
  }
  .toggle .line2 {
    opacity: 0;
  }
  .toggle .line3 {
    transform: rotatez(-405deg) translatey(-600%);
  }
  .home h1 {
    font-size: 4.8rem;
    letter-spacing: 5px;
  }
  .home h3 {
    font-size: 2.5rem;
    letter-spacing: 1rem;
    padding: 3rem 0rem;
  }
  .or {
    font-size: 2.5rems;
  }
  .home button a {
    font-size: 2rem;
  }
  .home button {
    padding: 0.9rem 1rem;
  }
}
@media (max-width: 477px) {
  .home h1 {
    font-size: 3rem;
    letter-spacing: 4px;
  }
  .home h3 {
    font-size: 1.8rem;
    letter-spacing: 1rem;
    padding: 2rem 0rem;
  }
  .or {
    font-size: 2.5rems;
  }
  .home button a {
    font-size: 2rem;
  }
  .home button {
    padding: 0.9rem 0.9rem;
  }
  .service .box-container .box .content {
    padding: 2rem;
  }
}
@media (max-width: 447px) {
  table {
    width: 80%;
  }
  .membership h1 {
    font-size: 3rem;
    padding: 1rem;
  }
  .black {
    font-size: 1.5rem;
  }
  th,
  td {
    text-align: left;
    padding: 16px;
    font-size: 1rem;
  }
}
@media (max-width: 303px) {
  table {
    width: 10%;
  }
  .membership h1 {
    font-size: 2.5rem;
    padding: 1rem;
  }
  .black {
    font-size: 1.2rem;
  }
  th,
  td {
    text-align: left;
    padding: 12px;
    font-size: 1rem;
  }
}
